%define real_name HTML-Parser
%define real_version 3.54
%define perl_version %(rpm -q perl --queryformat '%%{version}' 2>/dev/null)

Summary:  HTML Parser for perl
Name:     perl-html-parser
Version:  %{real_version}
Release:  2tr
Source:   %{real_name}-%{real_version}.tar.gz
Patch:    %{real_name}-3.31-force-unicode.patch
License:  Artistic/GPL
Group:    Trustix Official
Requires: perl >= %{perl_version}, perl-html-tagset
Provides: perl(HTML::Parser)
BuildRequires: perl-html-tagset
BuildRequires: perl-devel >= 5.8.0-12bg
Buildroot: %{_tmppath}/%{name}-root

%define siteperl /usr/lib/perl5/site_perl/%{perl_version}

%description
This is a collection of modules that parse and extract information
from HTML documents.  Bug reports and issues for discussion about
these modules can be sent to the <libwww@perl.org> mailing list.
Remember to also look at the HTML-Tree package that build on
HTML::Parser to create and extract information from HTML syntax trees.

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep -q
%setup -q -n %{real_name}-%{real_version}
#%patch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=site PREFIX=%{_prefix} -DUNICODE_ENTITIES
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{_prefix}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix}

find $RPM_BUILD_ROOT -name \*.pod -o -name .packlist | xargs rm

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc Changes README
%{siteperl}/%{_arch}-linux-thread-multi/HTML
%{siteperl}/%{_arch}-linux-thread-multi/auto/HTML
%{_mandir}/man3/*

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Wed Jun 21 2006 Nived Gopalan <nived at trustix dot org> 3.54-1tr
- New Upstream

* Mon Jun 06 2005 Ajith Thampi <ajith at comodo dot com> 3.45-8tr
- Rebuilt on perl-5.8.7	
		
* Fri Mar 18 2005 Hasher Jamaludeen <hasher at comodo dot com> 3.45-6tr
- Rebuilt

* Mon Mar 07 2005 Raghu <raghu at comodo dot com> 3.45-1tr
- New Upstream
- Rebuilt on perl-5.8.6

* Mon Oct  4 2004 Nageswara Sastry <nageswara at comodo dot com>
- ReBuilt for TSL-2.2

* Thu Feb 12 2004 Gerald Dachs <gda at trsutix dot org> 3.35-1gd
- new upstream
- fixed permission on directories

* Mon Oct 13 2003 Goetz Bock <bg at tawie dot org> 3.31-2bg
- rebuild, small specfile cleanup

* Tue Sep  2 2003 Goetz Bock <bock at trustix dot org> 3.31-1bg
- build for Trustix 2.0 (aka Cloud) - Contrib
